* Bug #12705 fixed - Elementary_functions & m2sci: members() function
[scilab.git] / scilab / Makefile.am
1 #
2 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
3 # Copyright (C) INRIA - 2006-2008 - Sylvestre Ledru
4 # Copyright (C) DIGITEO - 2009 - Sylvestre Ledru
5 #
6 # This file must be used under the terms of the CeCILL.
7 # This source file is licensed as described in the file COPYING, which
8 # you should have received as part of this distribution.  The terms
9 # are also available at
10 # http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
11 #
12
13 ## Process this file with automake to produce Makefile.in (which will be changed by the ./configure)
14
15 AUTOMAKE_OPTIONS = 1.11 dist-zip dist-bzip2
16
17 SUBDIRS= modules \
18         contrib \
19         desktop
20
21 ACLOCAL_AMFLAGS = -I m4/
22
23 # Set AM_* SCI detected settings
24 AM_CPPFLAGS = $(SCI_CPPFLAGS)
25 AM_CFLAGS   = $(SCI_CFLAGS)
26 AM_CXXFLAGS = $(SCI_CXXFLAGS)
27 AM_FFLAGS   = $(SCI_FFLAGS)
28 AM_LDFLAGS  = $(SCI_LDFLAGS)
29
30 changelogs = CHANGES CHANGES_5.1.X CHANGES_5.2.X CHANGES_5.3.X CHANGES_5.4.X  CHANGES_5.5.X
31
32 bin_PROGRAMS            = scilab-bin scilab-cli-bin
33
34 bin_SCRIPTS                     = bin/scilab bin/scilab-adv-cli bin/scilab-cli \
35 bin/scinotes bin/xcos
36
37 if IS_MACOSX
38 bin_SCRIPTS             += bin/checkmacosx.applescript
39 endif
40
41 scilab_bin_LDFLAGS          = $(AM_LDFLAGS)
42 scilab_cli_bin_LDFLAGS  = $(AM_LDFLAGS)
43
44 if IS_MACOSX
45 scilab_bin_LDFLAGS              += -framework Cocoa
46 endif
47
48 scilab_bin_CPPFLAGS = -I$(top_srcdir)/modules/io/includes/ \
49                     -I$(top_srcdir)/modules/console/includes/ \
50                     -I$(top_srcdir)/modules/localization/includes/ \
51                     $(AM_CPPFLAGS)
52 # --no-undefined --relax
53
54 # Localization dep already exists because of the `exportLocaleToSystem' symbol
55 # (causing issues on some platform)
56 COMMON_LIBS = $(LTLIBINTL)
57
58 scilab_bin_SOURCES              = $(top_srcdir)/modules/console/src/c/others/mainscic.c
59
60 scilab_bin_LDADD                = $(COMMON_LIBS) $(top_builddir)/modules/libscilab.la $(FLIBS)
61
62 # Match scilab -nwni (ie command line without graphics)
63 scilab_cli_bin_SOURCES  = $(top_srcdir)/modules/console/src/c/others/mainscic.c
64
65 scilab_cli_bin_CPPFLAGS = -DWITHOUT_GUI $(scilab_bin_CPPFLAGS)
66 scilab_cli_bin_LDADD    = $(COMMON_LIBS) $(top_builddir)/modules/libscilab-cli.la $(FLIBS)
67
68
69 if NEED_JAVA
70 # Don't do it for scilab_cli_bin. We want to be able to call it without
71 # the java libs
72         scilab_bin_LDADD += $(JAVA_JNI_LIBS)
73 endif
74
75 if IS_SOLARIS
76 # The binary itself needs this dep
77         scilab_bin_LDADD += $(BLAS_LIBS)
78 endif
79
80 if ENABLE_STATIC
81 scilab_static_bin_LDFLAGS = -static -static-libgcc --start-group $(AM_LDFLAGS)
82 scilab_static_bin_CFLAGS  = -Wl,--start-group `$(CXX) -print-file-name=libstdc++.a` $(AM_CFLAGS)
83
84 #-static
85 bin_PROGRAMS                    += scilab-static-bin
86 scilab_static_bin_LDADD = $(top_builddir)/modules/libscilab.la
87
88 scilab_static_bin_SOURCES = $(scilab_bin_SOURCES)
89 endif
90
91 LANG_DOMAIN=scilab
92
93 TARGETS_ALL=macros
94
95 #  The user wants to compile the localization files
96 if GENERATE_LOCALIZATION_FILES
97 TARGETS_ALL+=localization
98 endif
99
100 if COMPILATION_TESTS
101 TARGETS_ALL+=check-java
102 endif
103
104 # check is performed with scilab
105 TESTS_ENVIRONMENT = LANG=C $(top_builddir)/bin/scilab-cli -nb -noatomsautoload -f
106 TESTS = $(top_srcdir)/modules/development_tools/tests/unit_tests/test_run_level_1.tst
107
108 all-local: $(TARGETS_ALL)
109
110 rootdir=$(pkgdatadir)/etc/
111 root_DATA = $(top_srcdir)/etc/scilab.start \
112 $(top_srcdir)/etc/scilab.quit \
113 $(top_srcdir)/etc/toolboxes.xml \
114 $(top_builddir)/etc/jvm_options.xml \
115 $(top_builddir)/etc/modules.xml \
116 $(top_builddir)/etc/classpath.xml \
117 $(top_builddir)/etc/logging.properties \
118 $(top_builddir)/etc/librarypath.xml
119
120 infofilesdir=$(pkgdatadir)/
121 infofiles_DATA = $(top_srcdir)/CHANGES_2.X \
122 $(top_srcdir)/CHANGES_3.X \
123 $(top_srcdir)/CHANGES_4.X \
124 $(top_srcdir)/CHANGES_5.0.X \
125 $(top_srcdir)/CHANGES_5.1.X \
126 $(top_srcdir)/CHANGES_5.2.X \
127 $(top_srcdir)/CHANGES_5.3.X \
128 $(top_srcdir)/CHANGES_5.4.X \
129 $(top_srcdir)/CHANGES_5.5.X \
130 $(top_srcdir)/ACKNOWLEDGEMENTS \
131 $(top_srcdir)/COPYING \
132 $(top_srcdir)/COPYING-BSD \
133 $(top_srcdir)/COPYING-FR \
134 $(top_srcdir)/README_Unix \
135 $(top_srcdir)/RELEASE_NOTES_5.0.X \
136 $(top_srcdir)/RELEASE_NOTES_5.1.X \
137 $(top_srcdir)/RELEASE_NOTES_5.2.X \
138 $(top_srcdir)/RELEASE_NOTES_5.3.X \
139 $(top_srcdir)/Readme_Visual.txt \
140 $(top_srcdir)/README_Windows.txt \
141 $(top_builddir)/license.txt \
142 $(top_builddir)/Version.incl
143
144 valgrinddir=$(pkgdatadir)/tools/profiling
145 valgrind_DATA = $(top_srcdir)/tools/profiling/valgrind.supp
146
147 macros: $(top_builddir)/scilab-cli-bin $(top_builddir)/bin/scilab-cli check-jvm-dep
148         -@( cd $(top_builddir) ; \
149         echo "$(top_builddir)/bin/scilab-cli -ns -noatomsautoload -f modules/functions/scripts/buildmacros/buildmacros.sce" ; \
150         $(top_builddir)/bin/scilab-cli -ns -noatomsautoload -f modules/functions/scripts/buildmacros/buildmacros.sce) || exit 1
151
152
153 check-jvm-dep:
154 # Check that scilab-cli does not have a dependency on libjvm
155 if !IS_MACOSX
156         @ldd .libs/scilab-cli-bin|grep libjvm > /dev/null; \
157         if test $$? == 0; then \
158                 echo "Found dependency from scilab-cli-bin to libjvm found"; exit 2;\
159         fi
160 endif
161
162 # Build the public Javadoc (javasci v2 and Java/Scilab types)
163 # This is not done in the module itself because its needs also the "types"
164 # module
165 javadoc:
166         $(JAVADOC) -noindex -nohelp -nonavbar -notree \
167         -d $(top_builddir)/modules/javasci/javadoc \
168         -sourcepath $(top_srcdir)/modules/javasci/src/java:$(top_srcdir)/modules/types/src/java::$(top_srcdir)/modules/localization/src/java \
169         org.scilab.modules.javasci org.scilab.modules.types
170
171 javadoc-all:
172         MASK="$(top_srcdir)/modules/*/src/java/"; \
173         MODULES=`ls -d $$MASK`; \
174         for M in $$MODULES; do \
175                 LISTMODULES="$$M:$$LISTMODULES"; \
176                 MODULE=$$(echo $$M|cut -d/ -f3); \
177                 LISTPKG="$$LISTPKG org.scilab.modules.$$MODULE"; \
178         done; \
179         $(JAVADOC) \
180         -d $(top_builddir)/javadocall \
181         -sourcepath $$LISTMODULES \
182         $$LISTPKG
183
184 doc-fr_FR:
185         @$(MAKE) $(AM_MAKEFLAGS) doc ALL_LINGUAS_DOC=fr_FR
186
187 doc-en_US:
188         @$(MAKE) $(AM_MAKEFLAGS) doc ALL_LINGUAS_DOC=en_US
189
190 doc-pt_BR:
191         @$(MAKE) $(AM_MAKEFLAGS) doc ALL_LINGUAS_DOC=pt_BR
192
193 doc-ru_RU:
194         @$(MAKE) $(AM_MAKEFLAGS) doc ALL_LINGUAS_DOC=ru_RU
195
196 doc-ja_JP:
197         @$(MAKE) $(AM_MAKEFLAGS) doc ALL_LINGUAS_DOC=ja_JP
198
199 # Regenerate all images
200 doc-images:
201         rm -rf $(top_srcdir)/modules/helptools/images/
202         mkdir $(top_srcdir)/modules/helptools/images/
203         $(MAKE) doc
204
205 doc: javadoc $(top_builddir)/scilab-bin $(top_builddir)/bin/scilab-adv-cli
206 if BUILD_HELP
207         @if test -x $(top_builddir)/scilab-bin; then \
208                 cd $(top_builddir);\
209                 for l in $(ALL_LINGUAS_DOC); do \
210                         echo "-- Building documentation ($$l) --"; \
211                         COMMAND="try xmltojar([],[],'$$l');catch disp(lasterror()); exit(-1);end;exit(0);"; \
212                         echo "LANG=C SCI_DISABLE_TK=1 SCI_JAVA_ENABLE_HEADLESS=1 $(top_builddir)/bin/scilab-adv-cli -noatomsautoload -nb -nouserstartup -e \"$$COMMAND\"";\
213                         LANG=C SCI_DISABLE_TK=1 SCI_JAVA_ENABLE_HEADLESS=1 $(top_builddir)/bin/scilab-adv-cli -noatomsautoload -nb -l $$l -nouserstartup -e "$$COMMAND" || exit 1;\
214                 done; \
215         else \
216                 echo "Cannot find Scilab-adv-cli binary"; \
217         fi
218 else
219         @echo "Cannot buid help. Add --enable-build-help to the ./configure if you want to build it."
220 endif
221
222 doc-web: javadoc $(top_builddir)/scilab-bin $(top_builddir)/bin/scilab-adv-cli
223 if BUILD_HELP
224         @if test -x $(top_builddir)/scilab-bin; then \
225                 cd $(top_builddir);\
226                 for l in $(ALL_LINGUAS_DOC); do \
227                         echo "-- Building documentation ($$l) --"; \
228                         COMMAND="try xmltoweb([],[],'$$l');catch exit(-1);end;exit(0);";\
229                         echo "LANG=C SCI_DISABLE_TK=1 SCI_JAVA_ENABLE_HEADLESS=1 $(top_builddir)/bin/scilab-adv-cli -nb -l $$l -noatomsautoload -nouserstartup -e \"$$COMMAND\"";\
230                         LANG=C SCI_DISABLE_TK=1 SCI_JAVA_ENABLE_HEADLESS=1 $(top_builddir)/bin/scilab-adv-cli -nb -l $$l -noatomsautoload -nouserstartup -e "$$COMMAND" || exit 1;\
231                         JAVADOC_TARGET=$(top_builddir)/modules/helptools/web/$$l/javasci; \
232                         if test ! -d $$JAVADOC_TARGET; then \
233                                 mkdir $$JAVADOC_TARGET; \
234                                 ln -s ../../../../javasci/javadoc/ $$JAVADOC_TARGET/; \
235                         fi; \
236                 done; \
237         else \
238                 echo "Cannot find Scilab-adv-cli binary"; \
239         fi
240 else
241         @echo "Cannot buid help. Add --enable-build-help to the ./configure if you want to build it."
242 endif
243
244 doxygen: modules/development_tools/etc/doxyfile
245 if DOXYGEN
246         mkdir $(top_builddir)/reports/
247         $(DOXYGEN_BIN) modules/development_tools/etc/doxyfile
248 endif
249
250 check-help:$(top_builddir)/scilab-cli-bin $(top_builddir)/bin/scilab-cli
251         @if test -x $(top_builddir)/scilab-cli-bin; then \
252                 for l in $(ALL_LINGUAS_DOC); do \
253                         echo "-- Checking documentation ($$l) --"; \
254                         COMMAND="try check_help();catch exit(-1);end;exit(0);";\
255                         echo "$(top_builddir)/bin/scilab-cli -nb -l $$l -noatomsautoload -e \"$$COMMAND\"";\
256                         $(top_builddir)/bin/scilab-cli -nb -l $$l -noatomsautoload -e "$$COMMAND" || exit 1;\
257                 done; \
258         else \
259                 echo "Cannot find Scilab binary"; \
260         fi
261
262 code-coverage:
263 if CODE_COVERAGE
264         @if test ! -d $(top_builddir)/coverage/; then \
265                 mkdir $(top_builddir)/coverage/; \
266         fi; \
267         touch $(top_srcdir)/modules/differential_equations/callinter.h $(top_srcdir)/modules/linear_algebra/callinter.h $(top_srcdir)/modules/scicos/callinter.h $(top_srcdir)/modules/scicos_blocks/callinter.h $(top_srcdir)/modules/optimization/callinter.h $(top_srcdir)/modules/signal_processing/callinter.h; \
268         $(LCOV) --directory $(top_builddir) --capture --ignore-errors source --output-file $(top_builddir)/coverage/scilab-code-coverage.info; \
269         echo -e "genhtml_hi_limit = 85\ngenhtml_med_limit = 70" > $(top_builddir)/coverage/lcovrc; \
270         $(GENHTML) -o $(top_builddir)/coverage/results/ --config-file $(top_builddir)/coverage/lcovrc --show-details --highlight --legend $(top_builddir)/coverage/scilab-code-coverage.info; \
271         rm -f $(top_builddir)/coverage/lcovrc; \
272         echo "To open the result: firefox  $(top_builddir)/coverage/results/index.html"; \
273         rm -f $(top_srcdir)/modules/differential_equations/callinter.h $(top_srcdir)/modules/linear_algebra/callinter.h $(top_srcdir)/modules/scicos/callinter.h $(top_srcdir)/modules/scicos_blocks/callinter.h $(top_srcdir)/modules/optimization/callinter.h $(top_srcdir)/modules/signal_processing/callinter.h
274 #--frames is disable because of : http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=607206
275 else
276         @echo "Cannot start the code coverage. Add --enable-code-coverage to the ./configure and 'make clean all'."
277 endif
278
279 distclean-recursive: distclean-generated clean-recursive
280
281 clean-recursive: clean-help clean-localization clean-macros clean-generated
282
283 clean-macros:
284 # Find is necessary because of subdirs...
285         -@echo "-- Cleaning macros (*.bin) --"; \
286         find $(top_builddir) -name "*.bin" | xargs --no-run-if-empty rm 2> /dev/null; \
287         echo "-- Cleaning names files (names) --"; \
288         find $(top_builddir)/modules/*/macros -name "names" | xargs --no-run-if-empty rm 2> /dev/null; \
289         echo "-- Cleaning lib files (lib) --"; \
290         find $(top_builddir)/modules/*/macros -name "lib" | xargs --no-run-if-empty rm 2> /dev/null
291
292 # To ensure previous compatibility
293 clean-doc: clean-help
294
295 clean-help:
296         -@if test -x $(top_builddir)/scilab-cli-bin; then \
297                 COMMAND="try clean_help();catch exit(-1);end;exit(0)"; \
298                 for l in $(ALL_LINGUAS_DOC); do \
299                         echo "$(top_builddir)/bin/scilab-cli -nb -l $$l -noatomsautoload -e '$$COMMAND'"; \
300                         $(top_builddir)/bin/scilab-cli -nb -l $$l -noatomsautoload -e "$$COMMAND" || exit 1; \
301                 done; \
302         else \
303                 echo "Cannot find Scilab binary"; \
304         fi; \
305         echo "rmdir $(top_builddir)/modules/helptools/javaHelp/"; \
306         rm -rf $(top_builddir)/modules/helptools/javaHelp/; \
307         echo "rm -rf $(top_builddir)/modules/scicos/help/*/scilab_*_help"; \
308         rm -rf $(top_builddir)/modules/scicos/help/*/scilab_*_help; \
309         echo "rm -f $(top_builddir)/modules/scicos/help/en_US/master_help.xml"; \
310         rm -f $(top_builddir)/modules/scicos/help/en_US/master_help.xml; \
311         echo "rm -f $(top_builddir)/modules/scicos/jar/"; \
312         rm -rf $(top_builddir)/modules/scicos/jar/; \
313         echo "rm -rf $(top_builddir)/modules/javasci/javadoc"; \
314         rm -rf $(top_builddir)/modules/javasci/javadoc; \
315         echo "rm -rf $(top_builddir)/html"; \
316         rm -rf $(top_builddir)/html;
317
318 clean-tests:
319         @if test -x $(top_builddir)/scilab-cli-bin; then \
320                 $(top_builddir)/bin/scilab-cli -nb -noatomsautoload -l fr -e 'try test_clean();catch exit(-1);end;exit(0);' || exit 1; \
321         else \
322                 echo "Cannot find Scilab binary"; \
323         fi
324
325 clean-localization:
326         rm -rf $(top_srcdir)/locale/*
327
328 clean-generated:
329 # Deleted junit + code coverage
330         rm -rf $(top_builddir)/reports/
331         rm -rf $(top_builddir)/modules/scicos_blocks/build/ 2> /dev/null
332
333 distclean-generated:
334         rm -f $(top_builddir)/modules/core/includes/stack.h 2> /dev/null
335
336
337 if IS_MACOSX
338 # Used for mac os x because it needs to remove the charset=UTF-8 because it is breaking the accents.
339 MACOSX=1
340 endif
341
342 clean-reports:
343         rm -f reports/xml/TEST-org.scilab.*.xml
344
345 # For each module, build and call Java unitary tests
346 # If fails, stops the call
347 check-java: clean-reports
348         @echo "-- Launch all Junit (Java) unitary tests"; \
349         MASK="$(top_srcdir)/modules/*/tests/java/"; \
350         MODULES=`ls -d $$MASK`; \
351         for M in $$MODULES; do \
352                 BASE=`echo $$M|sed -e "s|tests/java/$$||g"`; \
353                 $(ANT) -buildfile $$BASE/build.xml test || exit $$?; \
354         done
355         rm -f reports/xml/TEST-org.scilab.*.xml
356
357 codecoverage-java: clean-reports
358         @echo "Check if --enable-debug-java has been set"; \
359         grep "build.debug=on" $(top_srcdir)/scilab.properties > /dev/null || exit 10; \
360         echo "-- Launch all Junit (Java) unitary tests + code coverage"; \
361         MASK="$(top_srcdir)/modules/*/tests/java/"; \
362         MODULES=`ls -d $$MASK`; \
363         for M in $$MODULES; do \
364                 BASE=`echo $$M|sed -e "s|tests/java/$$||g"`; \
365                 $(ANT) -buildfile $$BASE/build.xml codecoverage || exit $$?; \
366         done
367         rm -f reports/xml/TEST-org.scilab.*.xml
368
369 # The user wants to compile the localization files
370 # Please note that ALL_LINGUAS is defined in configure.ac
371 if GENERATE_LOCALIZATION_FILES
372 localization:
373         @echo "-- Build localization (.mo from .po) --"; \
374         MASK="modules/*/locales/"; \
375         LC="LC_MESSAGES"; \
376         MSGFMT_OPTS="$MSGFMT_OPTS --check"; \
377         EXTENSION="*.po"; \
378         rm modules/*/locales/*~ 2> /dev/null; \
379         for LOCALE in $(ALL_LINGUAS); do \
380                 echo "        -- Building for $$LOCALE --"; \
381                 if test "$$LOCALE" == "en_US"; then \
382                         LOCFILE=$$MASK/*.pot; \
383                 else \
384                         LOCFILE=$$MASK/$$LOCALE$$EXTENSION; \
385                 fi; \
386                 FILES=`ls $$LOCFILE`; \
387                 PATHTO=$(top_builddir)/locale/$$LOCALE/$$LC/; \
388                 if test ! -d $$PATHTO; then \
389                         echo "        Creating $$PATHTO"; \
390                         mkdir -p $$PATHTO; \
391                 fi; \
392                 POFILE=$$PATHTO/$(LANG_DOMAIN).po; \
393                 $(MSGCAT) --use-first -o $$POFILE $$FILES || exit 2; \
394                 if test "$(MACOSX)" = "1"; then sed -i -e '/charset=UTF-8/d' $$POFILE; fi; \
395                 $(MSGFMT) $(MSGFMT_OPTS) --statistics -o $$PATHTO/$(LANG_DOMAIN).mo $$POFILE || exit 2; \
396         done;
397
398
399 localization-status:
400         @for LOCALE in $(ALL_LINGUAS_DOC); do \
401                 if test "$$LOCALE" != "en_US"; then \
402                         PATHTO=$(top_builddir)/locale-status/$$LOCALE/; \
403                         if test ! -d $$PATHTO; then \
404                                 echo "        Creating $$PATHTO"; \
405                                 mkdir -p $$PATHTO; \
406                         fi; \
407                         echo "Building status for $$LOCALE"; \
408                         echo "SCI=$(top_srcdir) php tools/localization/revcheck.php $$LOCALE > $$PATHTO/index.html"; \
409                         SCI=$(top_srcdir) php tools/localization/revcheck.php $$LOCALE > $$PATHTO/index.html; \
410                 fi; \
411         done;
412
413 endif
414
415 # Misc variable for the documentation installation
416
417 # How help files look like.
418 DOCMASK=scilab_*_help.jar
419 DOCIMAGES=scilab_images.jar
420
421 # Path to built files
422 PATHTOHELPFILES = modules/helptools/jar/
423
424 # Path to scirenderer jar
425 PATHTOSCIRENDERER = modules/scirenderer/jar/
426 SCIRENDERERJAR = scirenderer.jar
427
428 # Path javasci to built files
429 PATHTOJAVASCIDOC = modules/javasci/javadoc/
430 JAVASCI_DIRS = . resources \
431         org/scilab/modules/javasci/ \
432         org/scilab/modules/types/
433
434 if GENERATE_LOCALIZATION_FILES
435 install-data-local:
436         @$(mkinstalldirs) $(DESTDIR)$(localedir); \
437         echo $(mkinstalldirs) $(DESTDIR)$(localedir); \
438         for lang in $(ALL_LINGUAS); do \
439                 LANG_PATH_DIST=$(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/; \
440                 echo $(mkinstalldirs) $$LANG_PATH_DIST; \
441                 $(mkinstalldirs) $$LANG_PATH_DIST; \
442                 echo $(INSTALL_DATA) $(top_builddir)/locale/$$lang/LC_MESSAGES/$(LANG_DOMAIN).mo $$LANG_PATH_DIST/; \
443                 $(INSTALL_DATA) $(top_builddir)/locale/$$lang/LC_MESSAGES/$(LANG_DOMAIN).mo $$LANG_PATH_DIST/; \
444         done
445 endif
446
447 ################ INSTALL DOCUMENTATION #################
448 # Starting from Scilab 5, documentation file are provided by Docbook
449 # In the Scilab application we are generating a JavaHelp file.
450 if BUILD_HELP
451         @$(mkinstalldirs) $(DESTDIR)$(pkgdatadir)/$(PATHTOHELPFILES); \
452         echo $(mkinstalldirs) $(DESTDIR)$(pkgdatadir)/$(PATHTOHELPFILES); \
453         if ls -lLd $(top_builddir)/$(PATHTOHELPFILES)/$(DOCMASK) >/dev/null 2>&1; then \
454                 for file in $(top_builddir)/$(PATHTOHELPFILES)/$(DOCMASK) $(top_builddir)/$(PATHTOHELPFILES)/$(DOCIMAGES); do \
455                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdatadir)/$(PATHTOHELPFILES)" ; \
456                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdatadir)/$(PATHTOHELPFILES) ; \
457                 done; \
458         fi
459 ## Install Javasci documentation (javadoc)
460 ## See target javadoc in this file to see how it is build
461         @if test -d $(PATHTOJAVASCIDOC); then \
462         $(mkinstalldirs) $(DESTDIR)$(pkgdatadir)/$(PATHTOJAVASCIDOC); \
463         echo $(mkinstalldirs) $(DESTDIR)$(pkgdatadir)/$(PATHTOJAVASCIDOC); \
464         for dir in $(JAVASCI_DIRS) ; do \
465                 $(mkinstalldirs) $(DESTDIR)$(pkgdatadir)/$(PATHTOJAVASCIDOC)/$$dir; \
466                 echo $(mkinstalldirs) $(DESTDIR)$(pkgdatadir)/$(PATHTOJAVASCIDOC)/$$dir; \
467                         for file in $(top_builddir)/$(PATHTOJAVASCIDOC)/$(dir)/*; do \
468                             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdatadir)/$(PATHTOJAVASCIDOC)/$$dir" ; \
469                                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdatadir)/$(PATHTOJAVASCIDOC)/$$dir ; \
470                         done; \
471         done; \
472         fi
473 endif
474 if !EXTERNAL_SCIRENDERER
475 # Also install scirenderer.jar
476         $(mkinstalldirs) $(DESTDIR)$(pkgdatadir)/$(PATHTOSCIRENDERER)
477         $(INSTALL_DATA) $(top_builddir)/$(PATHTOSCIRENDERER)/$(SCIRENDERERJAR) $(DESTDIR)$(pkgdatadir)/$(PATHTOSCIRENDERER)/
478 endif
479
480 # Pkgconfig directory
481 pkgconfigdir = $(libdir)/pkgconfig
482
483 # Files to install in Pkgconfig directory
484 pkgconfig_DATA = scilab.pc
485
486 .PHONY: macros localization doc
487
488 .NOTPARALLEL: macros doc
489
490 include $(top_srcdir)/Makefile.call_scilab.am